style.css 9.0 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553
  1. @font-face {
  2. font-family: octicons-anchor;
  3. src: url(data:font/woff;charset=utf-8;base64,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) format('woff');
  4. }
  5. body {
  6. -webkit-text-size-adjust: 100%;
  7. -ms-text-size-adjust: 100%;
  8. text-size-adjust: 100%;
  9. color: #333;
  10. font-family: "Helvetica Neue", Helvetica, "Segoe UI", Arial, freesans, sans-serif;
  11. font-size: 16px;
  12. line-height: 1.6;
  13. word-wrap: break-word;
  14. padding: 1em;
  15. }
  16. a {
  17. background-color: transparent;
  18. }
  19. a:active,
  20. a:hover {
  21. outline: 0;
  22. }
  23. strong {
  24. font-weight: bold;
  25. }
  26. h1 {
  27. font-size: 2em;
  28. margin: 0.67em 0;
  29. }
  30. img {
  31. border: 0;
  32. }
  33. hr {
  34. box-sizing: content-box;
  35. height: 0;
  36. }
  37. pre {
  38. overflow: auto;
  39. }
  40. code,
  41. kbd,
  42. pre {
  43. font-family: monospace, monospace;
  44. font-size: 1em;
  45. }
  46. input {
  47. color: inherit;
  48. font: inherit;
  49. margin: 0;
  50. }
  51. html input[disabled] {
  52. cursor: default;
  53. }
  54. input {
  55. line-height: normal;
  56. }
  57. input[type="checkbox"] {
  58. box-sizing: border-box;
  59. padding: 0;
  60. }
  61. table {
  62. border-collapse: collapse;
  63. border-spacing: 0;
  64. }
  65. td,
  66. th {
  67. padding: 0;
  68. }
  69. * {
  70. box-sizing: border-box;
  71. }
  72. input {
  73. font: 13px/1.4 Helvetica, arial, nimbussansl, liberationsans, freesans, clean, sans-serif, "Segoe UI Emoji", "Segoe UI Symbol";
  74. }
  75. a {
  76. color: #4078c0;
  77. text-decoration: none;
  78. }
  79. a:hover,
  80. a:active {
  81. text-decoration: underline;
  82. }
  83. hr {
  84. height: 0;
  85. margin: 15px 0;
  86. overflow: hidden;
  87. background: transparent;
  88. border: 0;
  89. border-bottom: 1px solid #ddd;
  90. }
  91. hr:before {
  92. display: table;
  93. content: "";
  94. }
  95. hr:after {
  96. display: table;
  97. clear: both;
  98. content: "";
  99. }
  100. h1,
  101. h2,
  102. h3,
  103. h4,
  104. h5,
  105. h6 {
  106. margin-top: 15px;
  107. margin-bottom: 15px;
  108. line-height: 1.1;
  109. }
  110. h1 {
  111. font-size: 30px;
  112. }
  113. h1:first-child {
  114. margin-top: 0;
  115. }
  116. h2 {
  117. font-size: 21px;
  118. }
  119. h3 {
  120. font-size: 16px;
  121. }
  122. h4 {
  123. font-size: 14px;
  124. }
  125. h5 {
  126. font-size: 12px;
  127. }
  128. h6 {
  129. font-size: 11px;
  130. }
  131. blockquote {
  132. margin: 0;
  133. }
  134. ul,
  135. ol {
  136. padding: 0;
  137. margin-top: 0;
  138. margin-bottom: 0;
  139. }
  140. ol ol,
  141. ul ol {
  142. list-style-type: lower-roman;
  143. }
  144. ul ul ol,
  145. ul ol ol,
  146. ol ul ol,
  147. ol ol ol {
  148. list-style-type: lower-alpha;
  149. }
  150. dd {
  151. margin-left: 0;
  152. }
  153. code {
  154. font-family: Consolas, "Liberation Mono", Menlo, Courier, monospace;
  155. font-size: 12px;
  156. }
  157. pre {
  158. margin-top: 0;
  159. margin-bottom: 0;
  160. font: 12px Consolas, "Liberation Mono", Menlo, Courier, monospace;
  161. }
  162. .octicon {
  163. font: normal normal normal 16px/1 octicons-anchor;
  164. display: inline-block;
  165. text-decoration: none;
  166. text-rendering: auto;
  167. -webkit-font-smoothing: antialiased;
  168. -moz-osx-font-smoothing: grayscale;
  169. -webkit-user-select: none;
  170. -moz-user-select: none;
  171. -ms-user-select: none;
  172. user-select: none;
  173. }
  174. .octicon-link:before {
  175. content: '\f05c';
  176. }
  177. .markdown-body>*:first-child {
  178. margin-top: 0 !important;
  179. }
  180. .markdown-body>*:last-child {
  181. margin-bottom: 0 !important;
  182. }
  183. a:not([href]) {
  184. cursor: pointer;
  185. text-decoration: none;
  186. }
  187. .anchor {
  188. position: absolute;
  189. top: 0;
  190. left: 0;
  191. display: block;
  192. padding-right: 6px;
  193. padding-left: 30px;
  194. margin-left: -30px;
  195. }
  196. .anchor:focus {
  197. outline: none;
  198. }
  199. h1,
  200. h2,
  201. h3,
  202. h4,
  203. h5,
  204. h6 {
  205. position: relative;
  206. margin-top: 1em;
  207. margin-bottom: 16px;
  208. font-weight: bold;
  209. line-height: 1.4;
  210. }
  211. h1 .octicon-link,
  212. h2 .octicon-link,
  213. h3 .octicon-link,
  214. h4 .octicon-link,
  215. h5 .octicon-link,
  216. h6 .octicon-link {
  217. display: none;
  218. color: #000;
  219. vertical-align: middle;
  220. }
  221. h1:hover .anchor,
  222. h2:hover .anchor,
  223. h3:hover .anchor,
  224. h4:hover .anchor,
  225. h5:hover .anchor,
  226. h6:hover .anchor {
  227. padding-left: 8px;
  228. margin-left: -30px;
  229. text-decoration: none;
  230. }
  231. h1:hover .anchor .octicon-link,
  232. h2:hover .anchor .octicon-link,
  233. h3:hover .anchor .octicon-link,
  234. h4:hover .anchor .octicon-link,
  235. h5:hover .anchor .octicon-link,
  236. h6:hover .anchor .octicon-link {
  237. display: inline-block;
  238. }
  239. h1 {
  240. padding-bottom: 0.3em;
  241. font-size: 2.25em;
  242. line-height: 1.2;
  243. border-bottom: 1px solid #eee;
  244. }
  245. h1 .anchor {
  246. line-height: 1;
  247. }
  248. h2 {
  249. padding-bottom: 0.3em;
  250. font-size: 1.75em;
  251. line-height: 1.225;
  252. border-bottom: 1px solid #eee;
  253. }
  254. h2 .anchor {
  255. line-height: 1;
  256. }
  257. h3 {
  258. font-size: 1.5em;
  259. line-height: 1.43;
  260. }
  261. h3 .anchor {
  262. line-height: 1.2;
  263. }
  264. h4 {
  265. font-size: 1.25em;
  266. }
  267. h4 .anchor {
  268. line-height: 1.2;
  269. }
  270. h5 {
  271. font-size: 1em;
  272. }
  273. h5 .anchor {
  274. line-height: 1.1;
  275. }
  276. h6 {
  277. font-size: 1em;
  278. color: #777;
  279. }
  280. h6 .anchor {
  281. line-height: 1.1;
  282. }
  283. p,
  284. blockquote,
  285. ul,
  286. ol,
  287. dl,
  288. table,
  289. pre {
  290. margin-top: 0;
  291. margin-bottom: 16px;
  292. }
  293. hr {
  294. height: 4px;
  295. padding: 0;
  296. margin: 16px 0;
  297. background-color: #e7e7e7;
  298. border: 0 none;
  299. }
  300. ul,
  301. ol {
  302. padding-left: 2em;
  303. }
  304. ul ul,
  305. ul ol,
  306. ol ol,
  307. ol ul {
  308. margin-top: 0;
  309. margin-bottom: 0;
  310. }
  311. li>p {
  312. margin-top: 16px;
  313. }
  314. dl {
  315. padding: 0;
  316. }
  317. dl dt {
  318. padding: 0;
  319. margin-top: 16px;
  320. font-size: 1em;
  321. font-style: italic;
  322. font-weight: bold;
  323. }
  324. dl dd {
  325. padding: 0 16px;
  326. margin-bottom: 16px;
  327. }
  328. blockquote {
  329. padding: 0 15px;
  330. color: #777;
  331. border-left: 4px solid #ddd;
  332. }
  333. blockquote>:first-child {
  334. margin-top: 0;
  335. }
  336. blockquote>:last-child {
  337. margin-bottom: 0;
  338. }
  339. table {
  340. display: block;
  341. width: 100%;
  342. overflow: auto;
  343. word-break: normal;
  344. word-break: keep-all;
  345. }
  346. table th {
  347. font-weight: bold;
  348. }
  349. table th,
  350. table td {
  351. padding: 6px 13px;
  352. border: 1px solid #ddd;
  353. }
  354. table tr {
  355. background-color: #fff;
  356. border-top: 1px solid #ccc;
  357. }
  358. table tr:nth-child(2n) {
  359. background-color: #f8f8f8;
  360. }
  361. img {
  362. max-width: 100%;
  363. box-sizing: border-box;
  364. }
  365. code {
  366. padding: 0;
  367. padding-top: 0.2em;
  368. padding-bottom: 0.2em;
  369. margin: 0;
  370. font-size: 85%;
  371. background-color: rgba(0,0,0,0.04);
  372. border-radius: 3px;
  373. }
  374. code:before,
  375. code:after {
  376. letter-spacing: -0.2em;
  377. content: "\00a0";
  378. }
  379. pre>code {
  380. padding: 0;
  381. margin: 0;
  382. font-size: 100%;
  383. word-break: normal;
  384. white-space: pre;
  385. background: transparent;
  386. border: 0;
  387. }
  388. .highlight {
  389. margin-bottom: 16px;
  390. }
  391. .highlight pre,
  392. pre {
  393. padding: 16px;
  394. overflow: auto;
  395. font-size: 85%;
  396. line-height: 1.45;
  397. background-color: #f7f7f7;
  398. border-radius: 3px;
  399. }
  400. .highlight pre {
  401. margin-bottom: 0;
  402. word-break: normal;
  403. }
  404. pre {
  405. word-wrap: normal;
  406. }
  407. pre code {
  408. display: inline;
  409. max-width: initial;
  410. padding: 0;
  411. margin: 0;
  412. overflow: initial;
  413. line-height: inherit;
  414. word-wrap: normal;
  415. background-color: transparent;
  416. border: 0;
  417. }
  418. pre code:before,
  419. pre code:after {
  420. content: normal;
  421. }
  422. kbd {
  423. display: inline-block;
  424. padding: 3px 5px;
  425. font-size: 11px;
  426. line-height: 10px;
  427. color: #555;
  428. vertical-align: middle;
  429. background-color: #fcfcfc;
  430. border: solid 1px #ccc;
  431. border-bottom-color: #bbb;
  432. border-radius: 3px;
  433. box-shadow: inset 0 -1px 0 #bbb;
  434. }
  435. kbd {
  436. display: inline-block;
  437. padding: 3px 5px;
  438. font: 11px Consolas, "Liberation Mono", Menlo, Courier, monospace;
  439. line-height: 10px;
  440. color: #555;
  441. vertical-align: middle;
  442. background-color: #fcfcfc;
  443. border: solid 1px #ccc;
  444. border-bottom-color: #bbb;
  445. border-radius: 3px;
  446. box-shadow: inset 0 -1px 0 #bbb;
  447. }
  448. .task-list-item {
  449. list-style-type: none;
  450. }
  451. .task-list-item+.task-list-item {
  452. margin-top: 3px;
  453. }
  454. .task-list-item input {
  455. margin: 0 0.35em 0.25em -1.6em;
  456. vertical-align: middle;
  457. }
  458. :checked+.radio-label {
  459. z-index: 1;
  460. position: relative;
  461. border-color: #4078c0;
  462. }